#pragma once

#include "../FirstDefWindow/FirstDefWindow.h"
#include "../ExecutionWindow/ExecutionWindow.h"
#include "../../def.h"

/**
* Uvitaci okno aplikace.
*/
class WelcomeWindow : public QMainWindow
{
	Q_OBJECT

public:
	/* Vytvori nove okno. */
	WelcomeWindow();

	virtual ~WelcomeWindow();

private slots:
	/* Funkce, ktera preobehne pri stiknuti tlacikta defButton. */
	void OnDefButtonClick();

	/* Funkce, ktera probehne pri stisknuti tlacitka execButton. */
	void OnExecButtonClick();

private:

	/* Tlacitko pro spusteni nastroje pro definici scenare. */
	QPushButton *defButton;

	/* Tlacitko pro spusteni nastroje pro in-silico evaluaci. */
	QPushButton *execButton;

	/* Objekt okna prvniho nastroje. */
	FirstDefWindow *fw;

	/* Objekt okna druheho nasatroje. */
	ExecutionWindow *ew;
};
